#### basic_streambuf::data

Get a list of buffers that represents the input sequence.

    const_buffers_type data() const;

###### Return Value

An object of type `const_buffers_type` that satisfies ConstBufferSequence requirements, representing all character arrays in the input sequence.

###### Remarks

The returned object is invalidated by any `basic_streambuf` member function that modifies the input sequence or output sequence.